Cyberduck Mountain Duck CLI

#8580 reopened enhancement

Bundle cannot be relocated to other places on the path, depends on /opt/duck/

Reported by: matt wodrich Owned by: dkocher
Priority: normal Milestone:
Component: cli Version: Nightly Build
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Due to space constraints on /, we needed to attempt installing duck at /usr/local/duck/ instead of /opt/duck/, but found that connection profiles at /usr/local/duck/app/profiles are not found by duck. To check to see if it was a path issue, we placed a symlink in /opt/, duck -> /usr/local/duck/, and found that connection profiles were picked up again. We are not sure if there are other resources that it would fail to pick up due to the move, or if profiles and bookmarks are the only things that would be affected. Listing, uploading, and downloading objects seems to work, at least in our testing after adding the symlink. This is as of r16710.

Change History (7)

comment:1 Changed on Feb 14, 2015 at 10:47:23 AM by dkocher

As a workaround, move the profiles to ~/.duck/profiles where they will be picked up as well.

comment:2 Changed on Feb 14, 2015 at 10:51:24 AM by dkocher

  • Milestone set to 4.7
  • Owner set to dkocher
  • Status changed from new to assigned
  • Summary changed from duck cli cannot be relocated to other places on the path, depends on /opt/duck/ to Bundle cannot be relocated to other places on the path, depends on /opt/duck/

This will affect default profiles and bookmarks (currently none) installed. Also loading localized resources fro /opt/duck/app/*.lproj/ will not work.

comment:3 Changed on Feb 16, 2015 at 1:46:53 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r16803.

comment:4 Changed on Feb 25, 2015 at 8:01:34 PM by dkocher

  • Resolution fixed deleted
  • Status changed from closed to reopened

We have this currently disabled in r16811 because of a crash when loading the native library.

comment:5 Changed on Apr 17, 2015 at 2:23:49 PM by dkocher

  • Milestone changed from 4.7 to 4.8

comment:6 Changed on May 18, 2016 at 3:29:19 PM by dkocher

  • Milestone 5.0 deleted

comment:7 Changed on May 24, 2016 at 7:48:58 PM by dkocher

  • Type changed from defect to enhancement
Note: See TracTickets for help on using tickets.
swiss made software